Skip to content

Previews the batch to ensure it can be posted, and reports any errors

Request

Previews the batch to ensure it can be posted, and reports any errors

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

Bodyapplication/jsonrequired

Paylaod containing the batches to unpost and other options

batch_idsArray of strings, non-empty(Batches)required

The IDs of the batches to post

business_unit_idstring(Business Unit)required

The business unit

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/batchPosting/{tenantId}/batchPostingPreviewRequest' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "batch_ids": [
      "string"
    ],
    "business_unit_id": "string"
  }'

Responses

An execution ARN to be used to monitor the batch unposting process.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
batches_to_postArray of objects
ineligible_batchesArray of objects
productsArray of objects
products_without_financial_configurationArray of objects
Response
{ "batches_to_post": [ { … } ], "ineligible_batches": [ { … } ], "products": [ { … } ], "products_without_financial_configuration": [ { … } ] }